Attribute VB_Name = "PvrMain"
' This program and its source code are placed in the public domain by the author Lewis Balentine.
' There are no warranties of any kind either expressed or implied.
'
' Note:
' Due to profound ignorance I accidently erased the first verion of this code.
' Perhaps I can improve it the second time around
' As a matter of lazziness there are three more files for this program:
'       kw-Pvr-Globals.Bas      Contains Public statements for Global Variables
'       kw-Pvr-Functions.bas    Contains all functions and subs
'       kw-pvr.ini              Required INI file for this App
'                               It also documents the command line options
'                               as well as the INI options and requirements.


Sub Main()

    Dim I As Integer
    ' for debugging
    ' Call ObscureTest
    ' End
    
    Call InitGlobals        ' This initalizes Global veriables and reads the command line
    Call LookForIniFile     ' By definition we MUST have an INI file --- find it.
    ' Call GetSchduleTasks  ' Not going to happen, Microsoft schtasks.exe is too flaky .
    Call WriteToLogFile     ' FindIniFile can be recursive and we only want one copy written to the log
    Call ReadIniFile        ' Reads the Ini file aaaand sets Global Varriables
    Call ListTitanTVFiles   ' Searches for TitanTV input Files
    
    ' Now this is where to real work takes place ...
    If UBound(TitanTvList) > 0 Then
        If ProgramMode = 2 Then Call PlayListStart
        For I = 1 To UBound(TitanTvList)
            ShowSourceFile = TitanTVPath & TitanTvList(I)
            Call ReadTitanTVFile
            If ProgramMode = 1 Then Call AppendCommand
            If ProgramMode = 2 Then Call PlayListAppend
        Next I
        If (ProgramMode = 2) Then Call PlayListEnd
        If (Dump <> 4) And (Dump <> 5) And (ProgramMode = 2) Then Shell (VlcProgram & " " & Q2 & PlayListFile & Q2)
    Else
        ' Nothing to process --- terminate
    End If
    ' for debugging
    If Dump = 5 Then
        Shell NotePad & " " & LogFile
        If ProgramMode = 2 Then Shell NotePad & " " & PlayListFile
    End If
    End
    
End Sub

