VERSION 5.00
Begin VB.Form kwPvrCfgForm 
   Caption         =   "Form1"
   ClientHeight    =   7635
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   10395
   Icon            =   "Kw-Pvr-Cfg-Form.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   7635
   ScaleWidth      =   10395
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton CmdHideHelp 
      Caption         =   "hide help message and show opening message"
      Height          =   255
      Left            =   120
      TabIndex        =   12
      TabStop         =   0   'False
      Top             =   2220
      Width           =   10095
   End
   Begin VB.CommandButton CmdEdit 
      Caption         =   "Edit INI file"
      Height          =   315
      Left            =   8520
      TabIndex        =   9
      Top             =   1380
      Width           =   1695
   End
   Begin VB.TextBox XPPWText 
      Height          =   315
      IMEMode         =   3  'DISABLE
      Left            =   1920
      PasswordChar    =   "*"
      TabIndex        =   5
      Text            =   "XPPWText"
      Top             =   900
      Width           =   3735
   End
   Begin VB.CommandButton SaveCMD 
      Caption         =   "Save Changes"
      Default         =   -1  'True
      Height          =   315
      Left            =   8520
      TabIndex        =   8
      Top             =   960
      Width           =   1695
   End
   Begin VB.CommandButton XpPwCmd 
      Caption         =   "Change XP Password"
      Height          =   315
      Left            =   1920
      TabIndex        =   6
      Top             =   900
      Width           =   1815
   End
   Begin VB.CommandButton VLCHelp 
      Caption         =   "VLC Input  Help"
      Height          =   315
      Left            =   120
      TabIndex        =   2
      Tag             =   "2"
      Top             =   480
      Width           =   1695
   End
   Begin VB.TextBox VlcText 
      Height          =   315
      Left            =   1920
      TabIndex        =   3
      Text            =   "VlcText"
      Top             =   480
      Width           =   8295
   End
   Begin VB.CommandButton UtcHelp 
      Caption         =   "UTC Help"
      Height          =   315
      Left            =   120
      TabIndex        =   0
      Top             =   60
      Width           =   1695
   End
   Begin VB.TextBox UtcText 
      Height          =   315
      Left            =   1920
      TabIndex        =   1
      Text            =   "UtcText"
      Top             =   60
      Width           =   735
   End
   Begin VB.CommandButton KwPwHelp 
      Caption         =   "XP Password Help"
      Height          =   315
      Left            =   120
      TabIndex        =   4
      Top             =   900
      Width           =   1695
   End
   Begin VB.Image Image1 
      Height          =   4485
      Left            =   4680
      Picture         =   "Kw-Pvr-Cfg-Form.frx":0E42
      Stretch         =   -1  'True
      Top             =   3060
      Width           =   5520
   End
   Begin VB.Label Label3 
      Caption         =   "Label3"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   11
      Top             =   1800
      Width           =   10080
   End
   Begin VB.Label Label2 
      Caption         =   "Label2"
      Height          =   195
      Left            =   120
      TabIndex        =   10
      Top             =   1320
      Width           =   5400
   End
   Begin VB.Label Label1 
      Caption         =   "Label1"
      Height          =   4995
      Left            =   120
      TabIndex        =   7
      Top             =   2580
      Width           =   10200
      WordWrap        =   -1  'True
   End
End
Attribute VB_Name = "kwPvrCfgForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Form_Load()
    Dim Work As String
    ' debugging
    ' XP = False
    Me.Caption = "KW PVR Configuration"
    Image1.Visible = False
    XPPWText.Text = XPPW
    XPPWText.Tag = XPPWText.Text
    If XP Then
        If XPPW = "" Then
            XPPWText.Visible = True
            XpPwCmd.Visible = False
        Else
            XpPwCmd.Visible = True
            XPPWText.Visible = False
        End If
    Else
        KwPwHelp.Visible = False
        XPPWText.Visible = False
        XpPwCmd.Visible = False
        XPPWText.Tag = ""
    End If
    UtcText.Text = Trim(Str(UtcOffset))
    UtcText.Tag = UtcText.Text
    VlcText.Text = VLCinput
    VlcText.Tag = VlcText.Text
    
    Work = "This program generates a INI file for the KW PVR program. " & _
           "The file is specific to the currently logged on user. " & _
           "The program searches for and tries to determine the paths for the needed applications. " & _
           "There are two INI options that the program can not resolve (three for Windows XP). " & _
           "These are presented in this form. You also have the option to  edit the INI file in notepad " & _
           "to allow you to change any of the other options." & Chr(13) & Chr(13) & Chr(13) & _
           "Video and XML files will be written to the Work Directory:" & Chr(13) & Space(12) & WorkDir
    Label1.Caption = Work
    Label1.Tag = Work
    Label2.Caption = "Current User: " & Environ("UserName")
    Label3.Caption = "INI File: " & IniFile
    Label1.Top = CmdHideHelp.Top
    CmdHideHelp.Visible = False
    Me.Height = 4050
    
    DoEvents
End Sub
Private Sub CmdEdit_Click()
    Shell ("Notepad.exe " & IniFile)
    End
    ' for development only
    MsgBox (Me.Height)
End Sub

Private Sub CmdHideHelp_Click()
    Label1.Top = CmdHideHelp.Top
    CmdHideHelp.Visible = False
    Label1.Caption = Label1.Tag
    Image1.Visible = False
    Me.Height = 4050
End Sub

Private Sub KwPwHelp_Click()
    Dim Work As String
    Work = "Windows XP schtasks.exe requires the user's name and password. " & _
           "KW PVR keeps a 'obscured' copy of the passwrod in the INI file. " & _
           "If a password exists in the INI file then the button " & _
           "'Change XP Password' will be shown. " & _
           "If a no password exists in the INI file then a blank box will be shown to enter " & _
           "the password. The password will be obscured when the changes to INI file " & _
           "are saved."
    Label1.Top = CmdHideHelp.Top + CmdHideHelp.Height + 20
    Label1.Caption = (Work)
    Image1.Visible = False
    CmdHideHelp.Visible = True
    Me.Height = 3540
End Sub

Private Sub UtcHelp_Click()
    Dim Work As String
    Work = "TitanTV uses GMT time (Greenwich Mean Time) for the date and time that a show starts. " & _
           "This is the number that needs to be added to GMT to get the local time. " & Chr(13) & _
           Space(12) & "For US Eastern Time (summer) this would be '-4'." & Chr(13) & _
           Space(12) & "For US Eastern Time (winter) this would be '-5'." & Chr(13) & _
           Space(12) & "For US Central Time (summer) this would be '-5'." & Chr(13) & _
           Space(12) & "For US Central Time (winter) this would be '-6'." & Chr(13) & _
           Space(12) & "For US Mountain Time (summer) this would be '-6'." & Chr(13) & _
           Space(12) & "For US Mountain Time (winter) this would be '-7'." & Chr(13) & _
           Space(12) & "For US Pacific Time (summer) this would be '-7'." & Chr(13) & _
           Space(12) & "For US Pacific Time (winter) this would be '-8'." & Chr(13) & Chr(13) & _
           "This needs to be revised twice a year when the US Congress confirms to the public that they " & _
           "know more about running the universe than the one that created it."
    Label1.Top = CmdHideHelp.Top + CmdHideHelp.Height + 20
    Label1.Caption = (Work)
    Image1.Visible = False
    CmdHideHelp.Visible = True
    Me.Height = 5640
End Sub

Private Sub VLCHelp_Click()
    Dim Work As String
    Work = "This is the string that VLC uses to get a stream form the TV Tuner. " & _
           "It is specific to your hardware and its configuration, " & _
           "You can copy this string from VLC when it showing broadcast show by selecting: " & _
           " Menu, Tools, Information. The needed string is located in the box at the " & _
           "bottom labeled 'Location:'" & Chr(13) & Chr(13) & _
           "The following strings are sustitued by the program: " & Chr(13) & _
           Space(12) & "<#rf#> = rf-channel" & Chr(13) & _
           Space(12) & "<#major#>   = psip-major" & Chr(13) & _
           Space(12) & "<#minor#>   = psip-minor" & Chr(13) & _
           Space(12) & "<#stream#>  = stream-number" & Chr(13) & _
           Space(12) & "<#station#> = station (per TitanTV)" & Chr(13) & _
           Space(12) & "<#channel#> = virtual channel number" & Chr(13) & Chr(13) & _
           "Example for channel 2.2: " & Chr(13) & "http://192.168.0.201:5004/auto/v2.2?dlna" & Chr(13) & _
           "becomes" & Chr(13) & "http://192.168.0.201:5004/auto/v<#channel#>?dlna" & Chr(13) & Chr(13) & _
           "Notice: " & Chr(13) & _
           " VLC broke 'Plug and Play' scanning between " & Chr(13) & _
           " versions 2.0.8 and 2.1.0. As of October 2014" & Chr(13) & _
           " this has not been fixed." & Chr(13) & Chr(13) & _
           " If you have a 'Plug and Play' Tuner such as " & Chr(13) & _
           " Silicon Dust network tunner then you may need " & Chr(13) & _
           " VLC Version 2.0.8 or earlier."
           
           
           
    Label1.Top = CmdHideHelp.Top + CmdHideHelp.Height + 20
    Label1.Caption = (Work)
    Image1.Visible = True
    CmdHideHelp.Visible = True
    Me.Height = 8040
End Sub
Private Sub XpPwCmd_Click()
    XPPW = ""
    XPPWText.Text = ""
    XPPWText.Visible = True
    XpPwCmd.Visible = False
End Sub

Private Sub UtcText_KeyPress(KeyAscii As Integer)
    If KeyAscii = 27 Then UtcText.Text = UtcText.Tag
End Sub

Private Sub VlcText_KeyPress(KeyAscii As Integer)
    If KeyAscii = 27 Then VlcText.Text = UtcText.Tag
End Sub

Private Sub SaveCMD_Click()
    Dim Dirty As Boolean
    Dirty = True
    If UtcText.Text = "" Then
        MsgBox ("UTC Offset can not be blank.")
        If UtcText.Text <> UtcText.Tag Then UtcText.Text = UtcText.Tag
        UtcText.SetFocus
        Exit Sub
    Else
        If Val(Trim(UtcText.Text)) = 0 Then
            MsgBox ("UTC Offset must be a number." & Chr(13) & "UTC Offset can not be zero.")
            If UtcText.Text <> UtcText.Tag Then UtcText.Text = UtcText.Tag
            Exit Sub
        End If
    End If
    If VlcText.Text = "" Then
        MsgBox ("VLC Input can not be blank.")
        If VlcText.Text <> VlcText.Tag Then VlcText.Text = VlcText.Tag
        VlcText.SetFocus
        Exit Sub
    End If
    If (XPPWText.Visible) Then
        If (XPPWText.Text) = "" Then
            MsgBox ("Password can not be blank.")
            XPPWText.SetFocus
            Exit Sub
        End If
        If (XPPWText.Visible) And InStr(Trim(XPPWText.Text), Space(1)) > 0 Then
            MsgBox ("Password can not contain a blank chracter.")
            Exit Sub
        End If
    End If
    
    If (XPPWText.Visible) Then
        XPPW = Trim(XPPWText.Text)
        Dirty = True
    Else
        XPPW = ""
    End If
    
    If UtcText.Text <> UtcText.Tag Then
        Dirty = True
        UtcOffset = Val(Trim(UtcText.Text))
    Else
        UtcOffset = 0
    End If
    
    If VlcText.Text <> VlcText.Tag Then
        Dirty = True
        VLCinput = Trim(VlcText.Text)
    Else
        VLCinput = ""
    End If
        
    If Dirty Then
        Call SaveIniFileChanges
    Else
        MsgBox ("No changes made. File not modified.")
    End If
End Sub

