Attribute VB_Name = "PvrFunctions"
' This program and its source code are placed in the public domain by the author Lewis Balentine.
' There are no warranties of any kind either expressed or implied.
'

Sub GetSchduleTasks()
    ' AGAIN I am running headlong into the idiosyncrasies and general flakiness of Microsoft's
    ' later versions schtasks.exe. What I would really like to use is:
    '       schtasks /query /FO List /V
    ' This works fine on windows XP but on Windows & it generates an "Access Denied" error.
    ' What does work on Windows XP and Windows 7 is:
    '       schtasks /query /FO Table /V
    ' On Windows 7 this may also be entered as:
    '       schtasks /V
    ' However it generates a really wide table ... on the order of nearly 1000 characters wide.
    '
    ' Now somebody explain to dumb old southern boy why Microsoft locks down the List format so
    ' no one can access it but leaves the TABLE format wide open ??? In their effort to secure
    ' their OS and acompaning software they seem to have forgotten that if the system is so secure
    ' that it is not useable then they have depreciated the value of that system. Perhqaps they
    ' should have built the security into the OS design rather than trying to patch it in afterwards.
    '
    ' Windows 7 Further update:
    ' While I can exxcute the above command on Windows 7 at a elevated command prompt the same command
    ' in a user batch file gets the familar "Access Denied" error. Therefore I am abandoning all further
    ' attempts to extract the tasks schedule, resolve sceduling conflicts or verify task status.
    ' The table format failed to include the full "Task To Run" string anyway. The list format by the way
    ' does include it. I should say that the full tasks is include in the list format on XP ----
    ' as on windows 7 all I can get is "Access Denied".
    '
    ' Too stuborn for my own good ....
    ' In Windows 7 the VLC tasks will be located in the directory: C:\Windows\System32\Tasks\VLC
    ' These are XML files (no suprise): <?xml version="1.0" encoding="UTF-16"?>
    '
    ' In Windows XP the VLC tasks will be located in the directory: C:\WINDOWS\Tasks
    ' These files are their own peculiar format.
    '
    '--------------------------------------------------------------------------------------------------------------------
    ' flakiness: To commit to something, then change plans, typically without notice and followed-up by a terrible excuse.
    '--------------------------------------------------------------------------------------------------------------------
    '
    Dim Work, WorkFile As String
    Dim DT As Date
    WorkFile = TerminatePath(Environ$("Temp")) & "~kw-pvr-schlist.txt"
    If Dir(WorkFile) <> "" Then Kill (WorkFile)
    Work = SchTasks & " /query /FO Table /V > " & WorkFile
    ' Debug.Print Work
    Shell (Work)
    ' Now we need a bit of a delay ....
    DT = DateAdd("s", 10, Now)
    While Now < DT
        For I = 1 To 10
            DoEvents
        Next I
    Wend
    ' What we should get is something like this ....
    ' ----------XP------------------------------------------------------------------------
    ' HostName        TaskName                             Next Run Time            Status          Last Run Time               Last Result Creator          Schedule                                                                         Task To Run                                      Start In                               Comment                                          Scheduled Task State         Scheduled Type                         Start Time         Start Date         End Date           Days                                        Months                                      Run As User                              Delete Task If Not Rescheduled      Stop Task If Runs X Hours and X Mins     Repeat: Every     Repeat: Until: Time  Repeat: Until: Duration        Repeat: Stop If Still Running       Idle Time                                Power Management
    ' =============== ==================================== ======================== =============== ======================== ============== ================ ================================================================================ ================================================ ====================================== ================================================ ============================ ====================================== ================== ================== ================== =========================================== =========================================== ======================================== =================================== ======================================== ================= ==================== ============================== =================================== ======================================== =============================================
    ' WIN_XP32_VB6_WS VLC-Becker(141012-1700)              17:00:00, 10/12/2014                     Never                                 0 Administrator    At 5:00 PM on 10/12/2014                                                         C:\Program Files\VideoLAN\VLC\vlc.exe  --run-tim C:\Program Files\VideoLAN\VLC          N/A                                              Enabled                      One Time Only                          17:00:00           10/12/2014         N/A                N/A                                         N/A                                         NT AUTHORITY\SYSTEM                      Enabled                             72:0                                     Disabled          Disabled             Disabled                       Disabled                            Disabled                                 No Start On Batteries
    ' ----------Win7------------------------------------------------------------------------
    ' Folder: \VLC
    ' HostName         TaskName                                 Next Run Time          Status          Logon Mode              Last Run Time           Last Result Author           Task To Run                                        Start In                                 Comment                                                                          Scheduled Task State   Idle Time                                Power Management                                 Run As User                              Delete Task If Not Rescheduled Stop Task If Runs X Hours and X Mins     Schedule                                                                         Schedule Type                Start Time   Start Date End Date   Days                                        Months                                      Repeat: Every            Repeat: Until: Time  Repeat: Until: Duration        Repeat: Stop If Still Running
    ' ================ ======================================== ====================== =============== ======================= ====================== ============ ================ ================================================== ======================================== ================================================================================ ====================== ======================================== ================================================ ======================================== ============================== ======================================== ================================================================================ ============================ ============ ========== ========== =========================================== =========================================== ======================== ==================== ============================== ===================================
    ' HP8460W          Becker(141012-1700)                      10/12/2014 5:00:00 PM  Ready           Interactive only        N/A                               1 <user name>      "C:\Program Files\VideoLAN\VLC\vlc.exe" --run-time N/A                                      N/A                                                                              Enabled                Disabled                                 Stop On Battery Mode, No Start On Batteries      <domain>\<user.name>                     Enabled                        72:00:00                                 Scheduling data is not available in this format.                                 One Time Only                5:00:00 PM   10/12/2014 N/A        N/A                                         N/A                                         Disabled                 Disabled             Disabled                       Disabled
    '-------------------------------------------------------------------------------
    
    ' --------- XP List format ---------------------------------------------------
    ' HostName:                                 WIN_XP32_VB6_WS
    ' TaskName:                             VLC -Becker(141012 - 1700)
    ' Next Run Time:                        17:00:00, 10/12/2014
    ' Status:
    ' Last Run Time:                        Never
    ' Last Result:                          0
    ' Creator:                              Administrator
    ' Schedule:                             At 5:00 PM on 10/12/2014
    ' Task To Run:                          C:\Program Files\VideoLAN\VLC\vlc.exe  --run-time=1800 --play-and-exit "http://XXX.XXX.XXX.XXX:5004/auto/v57.1?dlna" "--sout=#transcode{vcodec=mp2v,vb=1200,scale=0}:std{access=file,mux=ts,dst='C:\VB6_Projects\kw-pvr\Work\Becker(141012-1700).ts'"
    ' Start In:                             C:\Program Files\VideoLAN\VLC
    ' Comment:                              N/A
    ' Scheduled Task State:                 Enabled
    ' Scheduled Type:                       One Time Only
    ' Start Time:                           17:00:00
    ' Start Date:                           10/12/2014
    ' End Date:                             N/A
    ' Days:                                 N/A
    ' Months:                               N/A
    ' Run As User:                          NT AUTHORITY \ System
    ' Delete Task If Not Rescheduled:       Enabled
    ' Stop Task If Runs X Hours and X Mins: 72:0
    ' Repeat: Every:                        Disabled
    ' Repeat: Until: Time:                  Disabled
    ' Repeat: Until: Duration:              Disabled
    ' Repeat: Stop If Still Running:        Disabled
    ' Idle Time:                            Disabled
    ' Power Management:                     No Start On Batteries
    ' ---------------------------------------------------
    If Dir(WorkFile) <> "" Then Shell (NotePad & " " & WorkFile)
    
End Sub

Sub WriteToLogFile()
    Dim F As Integer
    F = FreeFile
    Open LogFile For Append As F
    Print #F, LogMsg
    Print #F, ""
    Close F
    LogMsg = ""
End Sub

Sub OpenLogFile()
    If LogMsg <> "" Then Call WriteToLogFile
    X = Shell(NotePad & " " & LogFile, vbNormalFocus)
    End
End Sub

Private Sub CliHelp()
    Dim Work As String
    LogMsg = ""
    LogMsg = LogMsg & "Application: " & App.ProductName
    LogMsg = LogMsg & EOL & "  Prog File: " & App.Path & "\" & App.EXEName & ".exe"
    LogMsg = LogMsg & EOL & "    Version: " & App.Major & "." & App.Minor & "." & App.Revision
    LogMsg = LogMsg & EOL & "Description: " & App.FileDescription
    LogMsg = LogMsg & EOL & "  Copyright: " & App.LegalCopyright
    LogMsg = LogMsg & EOL & "    Comment: " & App.Comments
    LogMsg = LogMsg & EOL & " Disclaimer: There are no warranties of any kind either expressed or implied."
    LogMsg = LogMsg & EOL
    LogMsg = LogMsg & EOL & "Keywild.com Personal Video Recorder is made up of 3 execuable files, 1 TXT file,"
    LogMsg = LogMsg & EOL & "and one INI file: "
    LogMsg = LogMsg & EOL & Space(13) & RightPad("kw-pvr.exe", 24) & " main application file"
    LogMsg = LogMsg & EOL & Space(13) & RightPad("kw-pvr-run.exe", 24) & " launches VLC"
    LogMsg = LogMsg & EOL & Space(13) & RightPad("kw-pvr-cfg.exe", 24) & " create and edit INI file"
    LogMsg = LogMsg & EOL & Space(13) & RightPad("kw-pvr.ini", 24) & " required configuration file"
    LogMsg = LogMsg & EOL & Space(13) & RightPad("kw-pvr-ini.txt", 24) & " template INI file with extensive notes"
    LogMsg = LogMsg & EOL
    LogMsg = LogMsg & EOL & "Command Line Options for kw-pvr in any order:"
    LogMsg = LogMsg & EOL & Space(13) & "--h, -h, /h, --?, -?, /?, ?, --help, -help,  help"
    LogMsg = LogMsg & EOL & Space(13) & "open this file with Notepad.exe"
    LogMsg = LogMsg & EOL
    LogMsg = LogMsg & EOL & Space(13) & ".ini filename (path optional)"
    LogMsg = LogMsg & EOL & Space(13) & "The name of the INI file to use for this session."
    LogMsg = LogMsg & EOL
    LogMsg = LogMsg & EOL & Space(13) & "input file name (path optional)"
    LogMsg = LogMsg & EOL & Space(13) & "TitanTV file to process"
    LogMsg = LogMsg & EOL
    LogMsg = LogMsg & EOL & Space(13) & "--PlayMode"
    LogMsg = LogMsg & EOL & Space(13) & "Select play now mode"
    LogMsg = LogMsg & EOL
    LogMsg = LogMsg & EOL & Space(13) & "--CopyOnly"
    LogMsg = LogMsg & EOL & Space(13) & "Select copy only mode. CopyPath ***MUST*** be specified in INI file."
    LogMsg = LogMsg & EOL
    LogMsg = LogMsg & EOL & Space(13) & "--d1, --d2, --d3, --d4, --d5"
    LogMsg = LogMsg & EOL & Space(13) & "For debuggin puposes only: open log file in notepad and exit."
    LogMsg = LogMsg & EOL & Space(18) & "d1   after reading command file"
    LogMsg = LogMsg & EOL & Space(18) & "d2   after reading ini file"
    LogMsg = LogMsg & EOL & Space(18) & "d3   after creating list of TitanTv files"
    LogMsg = LogMsg & EOL & Space(18) & "d4   output files (command and/or palylist) but do not execute"
    LogMsg = LogMsg & EOL & Space(18) & "d5   output the files and open the log file and play list file in notepad"
    LogMsg = LogMsg & EOL
    LogMsg = LogMsg & EOL & "Please see extensive notes in the 'kw-pvr-ini.txt' file for more details."
    Work = TerminatePath(App.Path) & "kw-pvr-ini.txt"
    If Dir(Work) <> "" Then
        LogMsg = LogMsg & EOL & Space(18) & Work
    End If
    LogMsg = LogMsg & EOL
    Call OpenLogFile
End Sub




Sub InitGlobals()
    Dim WorkFile, WorkPath, WorkFileName As String
    Dim P, I, L As Integer
    Dim C, Arg, Work As String
    
    ' This sub reads in the command line and many of the global variables for the
    ' Old Windows convention to start name of of temporary file with tilde
    ' That way they could be easily cleaned up  with "del %TEMP%\~*.*"
    LogFile = TerminatePath(Environ$("TEMP")) & "~kw-pvr-Log.txt"
    If Dir(LogFile) <> "" Then Kill (LogFile)
    LogMsg = "KW-PVR Log File: " & Format(Now, "dd mmm yyyy hh:mm") & EOL
    NotePad = FindNotepad
    CmdIniFile = ""
    SchTasks = ""
    Dump = 0
    ProgramMode = 0
    TunerLimit = 0
    CopyOnlyNo = 0
    PostProcessCmd = ""
    PostProcessDelay = 60
    CopyPath = ""
    Wine = False
    Linux = False
    AppendDateTime = False
    PrependDateTime = False
    ' There are some variations for the XP operating system
    XP = False
    XPPW = ""
    ' We need to etablish some paths intend to search ....
    IniFileName = ""                ' The Name only of the IniFile
    IniFilePath = ""                ' The Path only of the iniFile
    IniFile = ""                    ' The Path & Name of the iniFile
    TitanTVName = ""                ' The Name only of the TitanTV
    TitanTVPath = ""                ' The Path only of the TitanTV
    TitanTVFile = ""                ' The Path & Name of the TitanTV
    WorkFile = ""
    WorkPath = ""
    WorkFileName = ""
    BigStr = ""
        
    ' Command Function:
    ' Returns theargument portion of thecommand line used to launch Microsoft Visual Basic
    ' or an executable program developed with Visual Basic.
    ReDim ArgStrs(0 To 30)
    ArgCount = 0
    Call TestXP
    
    ' As long as we MUST have a zeroe ellemnet lets use it for something usefull.
    ' Microsoft is fixated with trying conceal the file type extensions from the user.
    ArgCount = 0
    ArgStrs(ArgCount) = TerminatePath(App.Path) & App.EXEName & ".exe"
    If InStr(ArgStrs(ArgCount), " ") > 0 Then ArgStrs(ArgCount) = Q2 & ArgStrs(ArgCount) & Q2
    
    ' A bit of Cleanup is in order --- just in case ...
    Work = Trim(Command)
    If Work <> "" Then Work = Replace(Work, Chr(9), Chr(32))
    
    LogMsg = LogMsg & EOL & "------- Reading Enviroment and Command Line arguments -----------------"
    LogMsg = LogMsg & EOL & LeftPad("Windows XP: ", 24)
    If XP Then
       LogMsg = LogMsg & "True"
    Else
       LogMsg = LogMsg & "False"
    End If

    LogMsg = LogMsg & EOL & LeftPad("Command Line: ", 24) & ArgStrs(0) & " " & Work
    
    ' We are going to use a cheat for escaped quotes
    If Work <> "" Then Work = Replace(Work, EQ1, Chr(1))
    If Work <> "" Then Work = Replace(Work, EQ2, Chr(2))
    ' We need a terminating space character
    If Work <> "" Then Work = Work & " "
    If Work <> "" Then Work = Replace(Work, Chr(32) & Chr(32), Chr(32))
    
    P = 0
    I = 0
    Arg = ""
    C = ""
    L = Len(Work)
    If L > 0 Then
        For I = 1 To L
            C = Mid(Work, I, 1)
            Select Case C
                Case Chr(32)        ' space
                    If Arg <> "" Then
                        Arg = Trim(Arg)
                        If Arg <> "" Then
                            ' Check if we need to replace escaped quotes
                            Arg = Replace(Arg, Chr(1), EQ1)
                            Arg = Replace(Arg, Chr(2), EQ2)
                            ArgCount = ArgCount + 1
                            ArgStrs(ArgCount) = Arg
                        End If
                        Arg = ""
                    End If
                Case Q1, Q2             ' single or Double quote
                    ' note that this only works for a single level of nesting ...
                    ' find the matching single or double quote
                    If L > I Then
                        If C = Q1 Then P = InStr(I + 1, Work, Q1)
                        If C = Q2 Then P = InStr(I + 1, Work, Q2)
                        If P = 0 Then
                            ' I think the the user screwed up but ...
                            Arg = Arg & C
                        Else
                            Arg = Arg & Mid(Work, I + 1, (P - (I + 1)))
                            I = P
                        End If
                    Else
                        ' This is most likely some mistake in the input
                        Arg = Arg & C
                    End If
                Case Else
                    Arg = Arg & C
            End Select
        Next I
    End If
    
    ReDim Preserve ArgStrs(0 To ArgCount)
    For I = 1 To ArgCount
        LogMsg = LogMsg & EOL & Space(24) & ArgStrs(I)
    Next I
    
    ' -----------------------------------------------------------------------
    ' Among those are the path to the TitanTV file if specified on the command line
    ' We are going to look for that first ...
    If ArgCount > 0 Then
        For I = 1 To ArgCount
            If InStr("--h -h /h --? -? /? ? --help -help help", LCase(ArgStrs(I))) > 0 Then Call CliHelp
            If LCase(Right(ArgStrs(I), 5)) = ".tvpi" Then
                WorkFile = ArgStrs(I)
                TitanTVName = RtnNameOnly(WorkFile)
                ' now to see if it includes a path ...
                If TitanTVName <> WorkFile Then
                    P = InStr(WorkFile, TitanTVName)
                    TitanTVPath = Left(WorkFile, P - 1)
                    TitanTVFile = TitanTVPath & TitanTVName
                    ' We do not validate it at this time ....
                End If
            End If
            
            If LCase(Right(ArgStrs(I), 4)) = ".ini" Then
                CmdIniFile = ArgStrs(I)
            End If
            
            If LCase(ArgStrs(I)) = "--d0" Then Dump = 0             ' pointless but ....
            If LCase(ArgStrs(I)) = "--d1" Then Dump = 1
            If LCase(ArgStrs(I)) = "--d2" Then Dump = 2
            If LCase(ArgStrs(I)) = "--d3" Then Dump = 3
            If LCase(ArgStrs(I)) = "--d4" Then Dump = 4
            If LCase(ArgStrs(I)) = "--d5" Then Dump = 5
            If LCase(ArgStrs(I)) = "--playmode" Then ProgramMode = 2
            If LCase(ArgStrs(I)) = "--copyonly" Then ProgramMode = 3
        Next I
        
        LogMsg = LogMsg & EOL & LeftPad("Dump Level: ", 24) & Str(Dump)
        If TitanTVName <> "" Then LogMsg = LogMsg & EOL & LeftPad("TitanTV File Name: ", 24) & TitanTVName
        If TitanTVPath <> "" Then LogMsg = LogMsg & EOL & LeftPad("TitanTV File Path: ", 24) & TitanTVPath
        If TitanTVFile <> "" Then LogMsg = LogMsg & EOL & LeftPad("TitanTV File: ", 24) & TitanTVFile
        If IniFileName <> "" Then LogMsg = LogMsg & EOL & LeftPad("Ini File Name: ", 24) & IniFileName
        If IniFilePath <> "" Then LogMsg = LogMsg & EOL & LeftPad("Ini File Path: ", 24) & IniFilePath
        If IniFile <> "" Then LogMsg = LogMsg & EOL & LeftPad("Ini File: ", 24) & IniFile
    End If
    
        
    ' For debugging
    ' Dump = 1
    If Dump = 1 Then
        LogMsg = LogMsg & EOL & "DumpLevel = 1: Exiting at end of 'Sub InitGlobals()'"
        Call OpenLogFile
    Else
        Call WriteToLogFile
    End If
    
End Sub

Sub LookForIniFile()
    Dim L As Integer
    LogMsg = LogMsg & EOL & "------- Searching for Ini File  ---------------------------------------"
    IniFile = FindIniFile
    If IniFile = "" Then
        LogMsg = LogMsg & EOL
        LogMsg = LogMsg & EOL & " ****************************************************"
        LogMsg = LogMsg & EOL & " ***  FATAL ERROR *** FATAL ERROR *** FATAL ERROR ***"
        LogMsg = LogMsg & EOL & " ***           CAN NOT FIND INI FILE.             ***"
        LogMsg = LogMsg & EOL & " ***         Please run KW-PRV-CFG.EXE.           ***"
        LogMsg = LogMsg & EOL & " ***    This will  build a minimal INI file.      ***"
        LogMsg = LogMsg & EOL & " ***    See KW-PVR-INI.TXT for more details.      ***"
        LogMsg = LogMsg & EOL & " ****************************************************"
        Call OpenLogFile
    Else
        'split the INI File Name, not sure there is nay point to this anymore but ...
        IniFileName = RtnNameOnly(IniFile)
        L = Len(IniFile) - Len(IniFileName)
        IniFilePath = Left(IniFile, L)
        LogMsg = LogMsg & EOL & LeftPad("Ini File name: ", 24) & IniFileName
        LogMsg = LogMsg & EOL & LeftPad("Ini File Path: ", 24) & IniFilePath
        LogMsg = LogMsg & EOL & LeftPad("Ini File: ", 24) & IniFile
    End If

End Sub

Sub ReadIniFile()
    Dim F, I, L, P As Integer
    Dim SoutCount As Integer
    Dim ChnCount As Integer
    Dim TitleCount As Integer
    Dim Work, KeyStr, ValStr, S1, S2 As String
    Dim DT As Date
    ReDim SoutStrs(0 To 150)
    ReDim SoutChn(0 To 150)
    ReDim TitleFind(0 To 150)
    ReDim TitleReplace(0 To 150)
    
    TitleCount = 0
    ChnCount = 0
    SoutCount = 0
    F = FreeFile
    
    ' Now set the defaults if we do not find them in the INI file (or elsewhere)
    SoutStrs(0) = "--sout=file/ts:'<#filename#>.ts'"
    SoutUse = 0
    UtcOffset = 0
    ShortTime = 10
    VlcProgram = ""
    VLCinput = ""
    WorkDir = ""
    VideoDir = ""
    
    Open IniFile For Input As F
    While Not (EOF(F))
        Line Input #F, Work
        Work = Trim(Work)
        P = InStr(Work, ";")
        If P <> 1 Then
            If P > 1 Then Work = Trim(Left(Work, P - 1))
            If Work <> "" Then If Left(Work, 1) = ";" Then Work = ""
            If Work <> "" Then Work = Trim(Replace(Work, Chr(9), Chr(32)))
            If Work <> "" Then If Left(Work, 1) = "#" Then Work = ""
            P = 0
            If Work <> "" Then P = InStr(Work, "=")
            If P > 0 Then
                KeyStr = LCase(Trim(Left(Work, P - 1)))
                ValStr = Trim(Mid(Work, P + 1))
                If KeyStr <> "" And ValStr <> "" Then
                    ' Debug.Print Work
                    Select Case KeyStr
                        Case "xppw"
                            ' If not XP or CopyOnly or PalyMode then we do not care ....
                            If XP And (ProgramMode < 2) Then
                                P = InStr(ValStr, " ")
                                If P = 0 Then
                                    ' then we have a plain text password
                                    XPPW = ValStr
                                Else
                                    ' we have an obscured password --- maybe
                                    If ((Left(ValStr, 1) = "K") Or (Left(ValStr, 1) = "P")) And (Right(ValStr, 1) = "W") Then
                                        ' OK the chances are greater ... we need to divy it up
                                        Work = PwReveal(Trim(Left(ValStr, P)))
                                        If Work <> Environ$("USERNAME") Then
                                            LogMsg = LogMsg & EOL
                                            LogMsg = LogMsg & EOL & " ***************************************************************"
                                            LogMsg = LogMsg & EOL & " ********* FATAL ERROR *** FATAL ERROR *** FATAL ERROR *********"
                                            LogMsg = LogMsg & EOL & " ********* XP Password is for user: " & Work
                                            LogMsg = LogMsg & EOL & " *********            Current user: " & Environ$("USERNAME")
                                            LogMsg = LogMsg & EOL & " ***************************************************************"
                                            Call OpenLogFile
                                        Else
                                            XPPW = PwReveal(Trim(Mid(ValStr, P)))
                                        End If
                                    End If
                                End If
                            End If
                        Case "utcoffset"
                            UtcOffset = Val(ValStr)
                        Case "shorttime"
                            ShortTime = Val(ValStr)
                            If ShortTime < 5 Then ShortTime = 10
                        Case "schtasks"
                            If Dir(ValStr) <> "" Then SchTasks = ValStr
                        Case "vlcprogram"
                            If Dir(ValStr) <> "" Then VlcProgram = ValStr
                        Case "vlcinput"
                            VLCinput = ValStr
                        Case "workdir"
                            WorkDir = TerminatePath(ValStr)
                        Case "videodir"
                            VideoDir = TerminatePath(ValStr)
                        Case "inputpath"
                            ' Command line wins
                            If TitanTVPath = "" Then TitanTVPath = TerminatePath(ValStr)
                        Case "sout"
                            P = InStr(ValStr, "--sout")
                            If P > 0 Then
                                SoutCount = SoutCount + 1
                                SoutStrs(SoutCount) = Mid(ValStr, P)
                            End If
                        Case "sout.use"
                            SoutUse = Val(ValStr)
                        Case "chn"
                            ChnCount = ChnCount + 1
                            SoutChn(ChnCount) = ValStr
                        Case "replace"
                            P = InStr(LCase(ValStr), "<with>")
                            If P > 0 Then
                                S1 = LCase(Trim(Left(ValStr, P - 1)))
                                S2 = Trim(Mid(ValStr, P + 6))
                                If S1 <> "" And S2 <> "" Then
                                    TitleCount = TitleCount + 1
                                    TitleFind(TitleCount) = S1
                                    TitleReplace(TitleCount) = S2
                                End If
                            End If
                        Case "playmode"
                            ValStr = LCase(ValStr)
                            If (ValStr = "true") Or (ValStr = "yes") Then ProgramMode = 2
                        Case "copyonly"
                            ValStr = LCase(ValStr)
                            If (ValStr = "true") Or (ValStr = "yes") Then ProgramMode = 3
                        Case "appenddatetime"
                            ValStr = LCase(ValStr)
                            If (ValStr = "true") Or (ValStr = "yes") Then
                                AppendDateTime = True
                                PrependDateTime = False
                            End If
                        Case "prependdatetime"
                            ValStr = LCase(ValStr)
                            If (ValStr = "true") Or (ValStr = "yes") Then
                                AppendDateTime = False
                                PrependDateTime = True
                            End If
                        Case "copypath"
                            CopyPath = TerminatePath(ValStr)
                        Case "tunerlimit"
                            TunerLimit = Val(ValStr)
                        Case "postprocesscmd"
                            PostProcessCmd = ValStr
                        Case "postprocessdelay"
                            PostProcessDelay = Val(ValStr)
                            If PostProcessDelay < 60 Then PostProcessDelay = 60
                        Case "notepad"
                            If Dir(ValStr) <> "" Then NotePad = ValStr
                        Case "vlcoptions"
                            VLCoptions = ValStr
                        Case "runprogram"
                            If Dir(ValStr) <> "" Then RunProgram = ValStr
                            
                        ' -----Undocumented over rides intended for development-----------------
                        Case "xp"
                            ValStr = LCase(ValStr)
                            If (ValStr = "true") Or (ValStr = "yes") Then XP = True
                        Case "wine"
                            ValStr = LCase(ValStr)
                            If (ValStr = "true") Or (ValStr = "yes") Then Wine = True
                        Case "linux"
                            ValStr = LCase(ValStr)
                            If (ValStr = "true") Or (ValStr = "yes") Then Linux = True
                        ' -----Undocumented over rides intended for development-----------------
                        Case Else
                            ' do nothing
                    End Select
                End If
            End If
        End If
    Wend
    Close F
 
    
    ' OK  ---- Now for some clean up
    ReDim Preserve SoutStrs(0 To SoutCount)
    ReDim Preserve SoutChn(0 To ChnCount)
    ReDim Preserve TitleFind(0 To TitleCount)
    ReDim Preserve TitleReplace(0 To TitleCount)
    
    ' Fill in what we did not find ....
    ' Not likely that UtcOffset is 0 but it is possible ....
    If WorkDir = "" Then WorkDir = FindWorkDir
    If VlcProgram = "" Then VlcProgram = FindVLCexe
    If RunProgram = "" Then RunProgram = FindRunProgram
    If SchTasks = "" Then SchTasks = FindSchTasks
    If TitanTVPath = "" Then TitanTVPath = FindUserDownloads
    If VideoDir = "" Then VideoDir = WorkDir
    If CopyPath = "" Then CopyPath = WorkDir
    If VLCoptions = "" Then VLCoptions = "--no-crashdump --qt-start-minimized --qt-notification=0 --play-and-exit"
    If TunerLimit = 0 Then TunerLimit = 1
    ' Build Name for PlayList file
    PlayListFile = WorkDir & "kw-pvr_PlayList" & ".xspf"
    PlayListTracks = -1
    
    If ProgramMode = 0 Then ProgramMode = 1
    ' command line wins
    If InStr(TitanTVName, ".tvvi") > 0 Then ProgramMode = 2
    If XP And (ProgramMode = 1) And XPPW = "" Then
        ' We MUST have an password to schedule recordings in Windows XP
        LogMsg = LogMsg & EOL
        LogMsg = LogMsg & EOL & " *************** FATAL ERROR ***  FATAL ERROR ***  FATAL ERROR ***************** "
        LogMsg = LogMsg & EOL & " ***                                                                         *** "
        LogMsg = LogMsg & EOL & " *** There must be a valid password for Windows XP schtasks.exe              *** "
        LogMsg = LogMsg & EOL & " *** This must be the password for the current user (see above).             *** "
        LogMsg = LogMsg & EOL & " *** You can store a 'obscure' copy of the password in the ini file.         *** "
        LogMsg = LogMsg & EOL & " *** Use the program 'kw-pvr-cfg.exe' for this purpose.                      *** "
        LogMsg = LogMsg & EOL & " *** If it is the wrong password then schtasks.exe will not add the task.    *** "
        LogMsg = LogMsg & EOL & " *** Password may not contain a 'space' character (but you knew that).       *** "
        LogMsg = LogMsg & EOL & " ***                                                                         *** "
        LogMsg = LogMsg & EOL & " *************** FATAL ERROR ***  FATAL ERROR ***  FATAL ERROR ***************** "
        LogMsg = LogMsg & EOL
        Call OpenLogFile
    End If
    
' Debugging missing end If
' End Sub
' Sub Debuging()
    
    If (VLCinput = "") And (ProgramMode < 3) Then
        LogMsg = LogMsg & EOL
        LogMsg = LogMsg & EOL & " ********* FATAL ERROR ***  FATAL ERROR ***  FATAL ERROR ********* "
        LogMsg = LogMsg & EOL & " ***                                                           *** "
        LogMsg = LogMsg & EOL & " *** You MUST specify the VLC Input line in the INI file.      *** "
        LogMsg = LogMsg & EOL & " *** This is specific to your tuner hardware and setup.        *** "
        LogMsg = LogMsg & EOL & " ***                                                           *** "
        LogMsg = LogMsg & EOL & " ********* FATAL ERROR ***  FATAL ERROR ***  FATAL ERROR ********* "
        Call OpenLogFile
    End If
    
    ' For debugging
    '   LogMsg = LogMsg & EOL & "Tuner Limit: " & TunerLimit
    LogMsg = LogMsg & EOL & "------- Reading Ini File  ---------------------------------------------"
    LogMsg = LogMsg & EOL & LeftPad("Program Mode: ", 24) & "(" & Trim(Str(ProgramMode)) & ") "
    If ProgramMode = 0 Then LogMsg = LogMsg & "undefined"
    If ProgramMode = 1 Then LogMsg = LogMsg & "schedule"
    If ProgramMode = 2 Then LogMsg = LogMsg & "play now"
    If ProgramMode = 3 Then LogMsg = LogMsg & "copy only"
    If ProgramMode = 3 Then LogMsg = LogMsg & EOL & "Copy Path: " & CopyPath
    LogMsg = LogMsg & EOL & LeftPad("User Name: ", 24) & Environ$("USERNAME")
    LogMsg = LogMsg & EOL & LeftPad("Text Editor: ", 24) & NotePad
    LogMsg = LogMsg & EOL & LeftPad("SchTasks: ", 24) & SchTasks
    LogMsg = LogMsg & EOL & LeftPad("Run Program: ", 24) & RunProgram
    LogMsg = LogMsg & EOL & LeftPad("Vlc Program: ", 24) & VlcProgram
    LogMsg = LogMsg & EOL & LeftPad("Work Dir: ", 24) & WorkDir
    LogMsg = LogMsg & EOL & LeftPad("Video Dir: ", 24) & VideoDir
    LogMsg = LogMsg & EOL & LeftPad("TitanTVPath: ", 24) & TitanTVPath
    LogMsg = LogMsg & EOL & LeftPad("TitanTV file Name: ", 24) & TitanTVName
    LogMsg = LogMsg & EOL & LeftPad("Utc Offset (hours): ", 24) & Trim(Str(UtcOffset))
    LogMsg = LogMsg & EOL & LeftPad("Short Time (seconds): ", 24) & Trim(Str(ShortTime))
    LogMsg = LogMsg & EOL & LeftPad("Post Process Command: ", 24) & PostProcessCmd
    LogMsg = LogMsg & EOL & LeftPad("Post Process Delay: ", 24) & Trim(Str(PostProcessDelay))
    LogMsg = LogMsg & EOL & LeftPad("Play List File: ", 24) & PlayListFile
    LogMsg = LogMsg & EOL & LeftPad("VLC Input: ", 24) & VLCinput
    LogMsg = LogMsg & EOL & LeftPad("VLC Options: ", 24) & VLCoptions
    LogMsg = LogMsg & EOL & LeftPad("Append Date-Time: ", 24)
    If AppendDateTime Then
        LogMsg = LogMsg & "True"
    Else
        LogMsg = LogMsg & "False"
    End If
    LogMsg = LogMsg & EOL & LeftPad("Preppend Date-Time: ", 24)
    If PrependDateTime Then
        LogMsg = LogMsg & "True"
    Else
        LogMsg = LogMsg & "False"
    End If
    
    LogMsg = LogMsg & EOL & LeftPad("Sout Strings: ", 24)
    For I = 0 To UBound(SoutStrs)
        'LogMsg = LogMsg & EOL & Space(24) & "(" & Trim(Str(I)) & ")   " & SoutStrs(I)
        LogMsg = LogMsg & EOL & Space(24) & Format(I, "(00)") & Space(3) & SoutStrs(I)
    Next I
    'LogMsg = LogMsg & EOL & LeftPad("Sout Default: ", 24) & " " & Trim(Str(SoutUse))
    LogMsg = LogMsg & EOL & LeftPad("Sout Default: ", 24) & Space(1) & Format(SoutUse, "00")
    
    LogMsg = LogMsg & EOL & LeftPad("Sout Chn Strings: ", 24)
    For I = 1 To UBound(SoutChn)
        'LogMsg = LogMsg & EOL & Space(24) & "(" & Trim(Str(I)) & ")   " & SoutChn(I)
        LogMsg = LogMsg & EOL & Space(24) & Format(I, "(00)") & Space(3) & SoutChn(I)
    Next I
    
    LogMsg = LogMsg & EOL & LeftPad("Replace Title Strings: ", 24)
    For I = 1 To UBound(TitleFind)
        ' LogMsg = LogMsg & EOL & Space(24) & "(" & Trim(Str(I)) & ")   " & RightPad(TitleFind(I), 40) & " <with> " & TitleReplace(I)
        LogMsg = LogMsg & EOL & Space(24) & Format(I, "(00)") & Space(3) & RightPad(TitleFind(I), 40) & " <with> " & TitleReplace(I)
    Next I
    
    If Dump = 2 Then
        LogMsg = LogMsg & EOL & EOL & "DumpLevel = 2: Exiting at end of 'Sub ReadiniFile()'"
        Call OpenLogFile
    Else
        Call WriteToLogFile
    End If
End Sub

Sub ListTitanTVFiles()
    ' This builds a list of TitanTv files to process
    ReDim TitanTvList(0 To 200)
    Dim ListCount, I As Integer
    Dim Work As String
    ListCount = 0
    
    ' We have to work a bit to get these in the order that we want them.
    ' TOTALLY CRASHED VB^ with this ....
    If (ProgramMode = 1) Or (ProgramMode = 3) Then
        Work = Dir(TitanTVPath & "program.tvpi")
        If Work <> "" Then
            ListCount = ListCount + 1
            TitanTvList(ListCount) = Work
        End If
        Work = Dir(TitanTVPath & "*.tvpi")
    Else
        If ProgramMode = 2 Then
            Work = Dir(TitanTVPath & "program.tvvi")
            If Work <> "" Then
                ListCount = ListCount + 1
                TitanTvList(ListCount) = Work
            End If
            Work = Dir(TitanTVPath & "*.tvvi")
        End If
    End If
    
    While Work <> ""
        If (Work <> "program.tvpi") Then
            If Work <> "program.tvvi" Then
                ListCount = ListCount + 1
                TitanTvList(ListCount) = Work
            End If
        End If
        Work = Dir()
    Wend
    ReDim Preserve TitanTvList(0 To ListCount)
    
    LogMsg = LogMsg & EOL & "------- TitanTV File List  ---------------------------------------------"
    If ProgramMode = 1 Then LogMsg = LogMsg & EOL & LeftPad("Schedule Mode:", 24)
    If ProgramMode = 2 Then LogMsg = LogMsg & EOL & LeftPad("Play Now Mode:", 24)
    If ProgramMode = 3 Then LogMsg = LogMsg & EOL & LeftPad("Copy Only Mode:", 24)
    
    If ListCount = 0 Then
        LogMsg = LogMsg & EOL & "No TitanTV files found in " & TitanTVPath
        LogMsg = LogMsg & EOL & "************* Program Terminating *************"
    Else
        For I = 1 To ListCount
            LogMsg = LogMsg & EOL & Space(24) & "(" & Trim(Str(I)) & ")   " & TitanTvList(I)
        Next I
    End If
    
    If Dump = 3 Then
        LogMsg = LogMsg & EOL & EOL & "DumpLevel = 3: Exiting at end of 'Sub ListTitanTVFiles()'"
        Call OpenLogFile
    Else
        Call WriteToLogFile
    End If
    
End Sub
Function RtnXmlField(ByVal FieldName As String) As String
'Function RtnXmlField(ByRef BigStr As String, ByRef FieldName As String) As String
    ' **** MAJOR FROBLEM WITH VB6 ****
    ' Can not pass a string argument byref to a function ...
    ' Make BigStr Public and Global ....
    '---------------------------------------------------------------
    Dim P1, P2 As Integer
    Dim Work, W1, W2 As String
    Work = ""
    W1 = "<" & FieldName & ">"
    W2 = "</" & FieldName & ">"
    P1 = InStr(BigStr, W1)
    If P1 <> 0 Then
        P1 = P1 + Len(W1)
        P2 = InStr(P1, BigStr, W2)
        If P2 <> 0 Then Work = Trim(Mid(BigStr, P1, P2 - P1))
    End If
    RtnXmlField = Work
    
End Function

Sub ReadTitanTVFile()
    ' This is used to read TitanTV files regardless of program mode
    ' Note that we are going to copy it ver batim to a new file
    Dim F1, F2, P1, P2, I As Integer
    ' Dim BigStr, Work, W, TempName As String
    Dim Work, W, TempName, SaveString As String
    Dim Shour, Sminute As String
    Dim SYear, Smonth, Sday As String
    Dim MonthName As String
    
    If Dir(ShowSourceFile) = "" Then Exit Sub
    
    CopyOnlyNo = CopyOnlyNo + 1
    BigStr = ""
    F1 = FreeFile
    
    If ProgramMode = 3 Then
        ' We need a unique name
        ' debugging
        ' CopyPath = "C:\BogusPath\"
        ' CopyPath = "C:\TempWork\"
        ' Program is TOOOOoooooo fast we need a more unique file name.
        ' TempName = CopyPath & Format(Now, "yyyy-mm-dd-hh-Nn-ss") & ".tvpi"
        TempName = CopyPath & "X" & Format(Now, "dd-hh-Nn-") & Format(CopyOnlyNo, "00") & ".tvpi"
        F2 = FreeFile
        On Error Resume Next
        Open TempName For Output As #F2
        If Err.Number <> 0 Then
            LogMsg = EOL & "*** FATAL ERROR ****  FATAL ERROR ****  FATAL ERROR **** "
            LogMsg = LogMsg & EOL & "***      Procedure: ReadTitanTVFile()"
            LogMsg = LogMsg & EOL & "***   Program Mode: Copy Only"
            LogMsg = LogMsg & EOL & "***      Copy Path: " & CopyPath
            LogMsg = LogMsg & EOL & "***   Error Number: " & Str(Err.Number)
            LogMsg = LogMsg & EOL & "***  Error Message: " & Err.Description
            LogMsg = LogMsg & EOL & "*** FATAL ERROR ****  FATAL ERROR ****  FATAL ERROR **** "
            Call OpenLogFile
        End If
        On Error GoTo 0
    End If
    ' These are XML files so EOL does not really matter.
    ' I do not personally like XML files but they do serve a purpose
    ' We Read it in to one big String
    Open ShowSourceFile For Input As #F1
    While Not (EOF(F1))
        Work = ""
        Line Input #F1, Work
        ' This results in normal EOL for output file ...
        If ProgramMode = 3 Then Print #F2, Work
        If Work <> "" Then BigStr = BigStr & Work
    Wend
    Close F1
    Kill (ShowSourceFile)
    If ProgramMode = 3 Then
        Close F2        ' We will get back to it later .... (maybe)
        ' If we are in copy mode than we are done ....
        Exit Sub
    End If
    
    '------------------------------------------------------------------------------------------
    ' Other wise we need to parse our BigStr
    ' We need to save an UNMODIFIED copy for Later use ....
    SaveString = BigStr
    ' Strip the EOL (Unix or Windows) and double spaces
    BigStr = Replace(BigStr, Chr(13), " ")
    BigStr = Replace(BigStr, Chr(10), " ")
    BigStr = Replace(BigStr, "  ", " ")
    
    ' <tv-program-info version="1.0">       --- do not care
    ' <program>                             --- do not care
    ' <station>KUHT-DT</station>            --- station call sign per TitanTV
    ShowStation = RtnXmlField("station")
    ' <tv-mode>digital</tv-mode>            --- do not care (no more analog broadcasts)
    ' <program-title>Show Title</program-title>
    ShowTitle = RtnXmlField("program-title")
    
    'Some screwy things about TitanTV Listings that
    'I DO NOT WANT THIS AS PART OF THE TITLE !
    If LCase(Right(ShowTitle, 8)) = "(repeat)" Then
        ShowTitle = Trim(Left(ShowTitle, Len(ShowTitle) - 8))
    End If
    ' <program-title>The Good Wife (Syndicated)</program-title>
    If LCase(Right(ShowTitle, 12)) = "(syndicated)" Then
        ShowTitle = Trim(Left(ShowTitle, Len(ShowTitle) - 12))
    End If
    ' <program-title>Movie - The Art of War II: Betrayal</program-title>
    If LCase(Left(ShowTitle, 7)) = "movie -" Then
        ShowTitle = Trim(Mid(ShowTitle, 8))
    End If
    
        
    ' <episode-title>May be empty</episode-title>
    ShowEpisode = RtnXmlField("episode-title")
    ' <program-description>May also be empty</program-description>
    ShowDscr = RtnXmlField("program-description")
    ' <start-date>yyyymmdd</start-date>
    ' Now we need a tad bit of work
    Work = RtnXmlField("start-date")
    SYear = Left(Work, 4)
    Smonth = Mid(Work, 5, 2)
    Sday = Mid(Work, 7, 2)
    ' <start-time>hh:mm</start-time>
    Work = RtnXmlField("start-time")
    Shour = Left(Work, 2)
    Sminute = Right(Work, 2)
    ' Now we need to convert this to a date string that Microsoft CAN NOT interpret wrong
    ' We build a fake string using the month and extract the full month name
    Work = "25-" & Smonth & "-" & SYear
    MonthName = Format(Work, "mmmm")
    ' Now build a string for the actual start date and time
    Work = Sday & " " & MonthName & " " & SYear & " " & Shour & ":" & Sminute
    ' Adjust for UDT offset from Zulu (this accepts fractional hours, negative or positive)
    ShowStart = DateAdd("h", UtcOffset, Work)
    ' <end-date>yyyymmdd</end-date>
    ' <end-time>hh:mm</end-time>
    ' <duration>00:30</duration>        ' we use the show duration converted to minutes
    Work = RtnXmlField("duration")
    ShowDuration = (Val(Left(Work, 2)) * 60) + (Val(Right(Work, 2)))
    ' ShowEnd is only used for the PostProcess function
    ' "n" is used for minutes
    ShowEnd = DateAdd("n", ShowDuration, ShowStart)
    ' Debug.Print ShowEnd, ShowStart
    ' Now concert ShowDuration for use by VLC runtime
    ShowDuration = ShowDuration * 60
    ' <rf-channel>8</rf-channel>
    ShowRfChn = RtnXmlField("rf-channel")
    ' <psip-major>8</psip-major>
    ShowMajor = RtnXmlField("psip-major")
    ' <psip-minor>1</psip-minor>
    ShowMinor = RtnXmlField("psip-minor")
    ' <stream-number>1</stream-number>
    ShowStream = RtnXmlField("psip-stream-number")
    ' </program>                            --- do not care
    ' </tv-program-info>                    --- do not care
    ' <anything else>                       --- do not care
    '------------------------------------------------------------------------------------------
    ' Restore BigStr to the origonal format
    BigStr = SaveString
    SaveString = ""
    '------------------------------------------------------------------------------------------
    
    ' Now to use this information to produce what we actually need
    ' We will need the Vitual Channel
    ShowVirtChn = ShowMajor & "." & ShowMinor
    
    ' Let us clean up the show name to make it actually Human Readable
    ShowAltTitle = ShowTitle
    If ShowAltTitle <> "" Then
        ShowAltTitle = Replace(ShowAltTitle, "&apos;", Q1)      ' single quote mark
        ShowAltTitle = Replace(ShowAltTitle, "&quot;", Q2)     ' double quote mark
        ShowAltTitle = Replace(ShowAltTitle, "&lt;", "<")
        ShowAltTitle = Replace(ShowAltTitle, "&gt;", ">")
        ShowAltTitle = Replace(ShowAltTitle, "&amp;", " and ")
        ShowAltTitle = Trim(Replace(ShowAltTitle, Space(2), Space(1)))
    Else
        ' not likely but
        ShowAltTitle = ShowStation & " TV Show "
        If ShowEpisode = "" Then ShowEpisode = Format(ShowStart, "dd mmmm yyyy")
    End If
    ' Now we look at the INI sustitutions
    If UBound(TitleFind) > 0 Then
        For I = 1 To UBound(TitleFind)
            If LCase(ShowAltTitle) = TitleFind(I) Then ShowAltTitle = TitleReplace(I)
        Next I
    End If
    
    ShowAltEpisode = ShowEpisode
    If ShowAltEpisode <> "" Then
        ShowAltEpisode = Replace(ShowAltEpisode, "&apos;", Q1)     ' single quote mark
        ShowAltEpisode = Replace(ShowAltEpisode, "&quot;", Q2)     ' double quote mark
        ShowAltEpisode = Replace(ShowAltEpisode, "&lt;", "<")
        ShowAltEpisode = Replace(ShowAltEpisode, "&gt;", ">")
        ShowAltEpisode = Replace(ShowAltEpisode, "&amp;", " and ")
        ShowAltEpisode = Trim(Replace(ShowAltEpisode, Space(2), Space(1)))
    End If
    
    ' noticed something funny in a couple of TitanTV listings
    If ShowAltEpisode = ShowAltTitle Then ShowAltEpisode = ""
    If ShowAltEpisode = "" Then
        ShowAltEpisode = Format(ShowStart, "yymmdd-HhNn")
    Else
       If AppendDateTime Then ShowAltEpisode = ShowAltEpisode & "," & Format(ShowStart, "yymmdd-HhNn")
       If PrependDateTime Then ShowAltEpisode = Format(ShowStart, "yymmdd-HhNn") & "," & ShowAltEpisode
    End If
        
    ' We create the show file name and epsiode (and remove a few more special characters)
    ' XML uses some character strings that just shoudl NOT be used in file names .....
    ShowFileName = ShowAltTitle & "," & ShowAltEpisode
    ShowFileName = Replace(ShowFileName, Q1, "")
    ShowFileName = Replace(ShowFileName, Q2, "")
    ShowFileName = Replace(ShowFileName, "@", " at ")
    ShowFileName = Replace(ShowFileName, "&", " and ")
    ShowFileName = Replace(ShowFileName, ">", "-")
    ShowFileName = Replace(ShowFileName, "<", "-")
    ShowFileName = Replace(ShowFileName, ":", "-")
    ShowFileName = Replace(ShowFileName, ";", "-")
    ShowFileName = Replace(ShowFileName, ".", "-")
    ShowFileName = Replace(ShowFileName, "?", "")
    ShowFileName = Replace(ShowFileName, "!", "")
    ShowFileName = Replace(ShowFileName, "*", "")
    ShowFileName = Replace(ShowFileName, "- ", "-")
    ShowFileName = Replace(ShowFileName, " -", "-")
    ShowFileName = Replace(ShowFileName, "--", "-")
    ShowFileName = Trim(Replace(ShowFileName, Space(2), Space(1)))
    ShowFileName = Replace(ShowFileName, " ", "_")
    ShowFileName = Replace(ShowFileName, "__", "_")
    ShowFileName = Replace(ShowFileName, ",_", ",")
    ' Shorten It if needed
    ' no longer have limit on length of string
    ' ShowFileName = Trim(Left(ShowFileName, 32))
    ' Try to make it Unique
    ' Should already be Unique
    ' ShowFileName = ShowFileName & Format(ShowStart, "(yymmdd-hhmm)")
    
    '------------------------------------------------------------------------------------------

    ' We should have everything need to build the VLC input string
    ' In an effort to allow for other (unknown to me) tuner hardware
    ' the following are valid substituions:
    ' <#rf#>      = rf-channel (radio frequency channel???)
    ' <#major#>   = psip-major
    ' <#minor#>   = psip-minor
    ' <#stream#>  = stream-number
    ' <#station#> = station (call sign)
    ' <#channel#> = virtual channel number
    ' VLCinput = http://192.168.0.201:5004/auto/v<#channel#>?dlna
    ShowInStream = VLCinput
    ShowInStream = Replace(ShowInStream, "<#rf#>", ShowRfChn)
    ShowInStream = Replace(ShowInStream, "<#major#>", ShowMajor)
    ShowInStream = Replace(ShowInStream, "<#minor#>", ShowMinor)
    ShowInStream = Replace(ShowInStream, "<#stream#>", ShowStream)
    ShowInStream = Replace(ShowInStream, "<#station#>", ShowStation)
    ShowInStream = Replace(ShowInStream, "<#channel#>", ShowVirtChn)
    ShowOutStream = ""
    ShowPostProcess = ""
    
End Sub

Sub AppendCommand()
    ' NOTE:
    ' This had to be rewritten becasue XP schtasks.exe requires a user name and password.
    ' It has been rewritten run each schedule command from a shell command so that the
    ' password is ***NOT*** exposed in the command file.
    '
    Dim F1, L, P, I, V, SoutIndx As Integer
    Dim Work, WorkFile As String
    Dim DT As Date
    
    ' We will record no show after its time ---
    ' We want at least two minutes ....
    If DateDiff("n", Now, ShowStart) < 2 Then
        LogMsg = "*** It is too late to schedule " & Q2 & ShowAltTitle & Q2 & " at " & Format(ShowStart, "hh:mm") & " on " & Format(ShowStart, "dd mmm yyyy") & " ***"
        F1 = FreeFile
        WorkFile = WorkDir & ShowFileName & "error.xml"
        Open WorkFile For Output As #F1
        Print #F1, "<?xml version=" & Q2 & "1.0" & Q2 & " encoding=" & Q2 & "UTF-8" & Q2 & "?>"
        Print #F1, "<pvr-data>"
        Print #F1, "<pvr-date-time> " & Format(Now, "dd mmm yyyy  hh:mm") & " </pvr-date-time>"
        Print #F1, "   <pvr-error>"
        Print #F1, "   " & LogMsg
        Print #F1, "   </pvr-error>"
        Print #F1, "</pvr-data>"
        Close F1
        Call WriteToLogFile
        Exit Sub
    Else
        WorkFile = WorkDir & ShowFileName & ".xml"
        ' We are going to use the TitanTV <tv-program-info> XML format --- sorta of
        ' Proper XML documents use chr(10) as line terminators ...
        ' The XML spec writers should revise their specifications to support either.
        ' We are going to be improper and fix the EOLs so any Windows Editor can use the file.
        If InStr(BigStr, Chr(13)) = 0 Then BigStr = Replace(BigStr, Chr(10), EOL)
        ' Next we are going to Stuff the XML version up front
        BigStr = "<?xml version=" & Q2 & "1.0" & Q2 & " encoding=" & Q2 & "UTF-8" & Q2 & "?>" & EOL & EOL & BigStr
        ' Only one top level element is allowed in an XML document and I do not find
        ' suitable provisions in the <tv-program-info> for the information I wnat to save.
        ' We are going to rudly violate the <tv-program-info> specification
        ' by inserting an additional section at the end
        ' We need to delete the closing tag and replace it later.
        P = InStr(BigStr, "</tv-program-info>")
        If P <> 0 Then BigStr = Left(BigStr, P - 1) & EOL
        ' This is the least "offensive" format that I have found to preserve the data.
        ' It needs to be little offensive. Otherwise when you open it in a browser
        ' you get a long unformatted runon string with a bunch of number at the end.
        ' You will see what I mean if you open a unmodified TitanTV XML file in a browser
    End If
    
   ' We will need escaped double quotes around this (VLCinput may include spaces)
   ' Well we did when we were using schtasks.exe directly
   ' ShowInStream = EQ2 & ShowInStream & EQ2

    ' Now for the biggy ---- the oputput stream
    ' First which one do we use ??
    SoutIndx = 0
    If SoutUse > 0 Then
        If SoutStrs(SoutUse) <> "" Then SoutIndx = SoutUse
    End If
    If UBound(SoutChn) > 0 Then
        For I = I To UBound(SoutChn)
            If InStr(SoutChn(I), ShowVirtChn) = 1 Then
                P = InStr(SoutChn(I), " ")
                If P > 0 Then V = Val(Trim(Mid(SoutChn(I), P)))
                If V > 0 Then
                    If SoutStrs(V) <> "" Then SoutIndx = V
                End If
            End If
        Next I
    End If
    ShowOutStream = SoutStrs(SoutIndx)
    P = InStr(ShowOutStream, "<#filename#>")
    If P > 0 Then
        ShowFileExt = Trim(Mid(ShowOutStream, P + 12))
        P = InStr(ShowFileExt, "'")
        If P > 0 Then ShowFileExt = Trim(Left(ShowFileExt, P - 1))
    Else
        ShowFileExt = ""
    End If
    ' --sout=#transcode{vcodec=mp2v,vb=1200,scale=0}:std{access=file,mux=ts,dst='<#filename#>.ts'
    ShowOutStream = Replace(ShowOutStream, "<#filename#>", WorkDir & ShowFileName)
    ' We need double quotes around this (WorkDir may include spaces)
    ShowOutStream = Q2 & ShowOutStream & Q2

    'We need to build the full VLC task Line ....
    ShowTaskCmd = Q2 & VlcProgram & Q2 & " " & VLCoptions & " --run-time=" & (ShowDuration - ShortTime) & " "
    ShowTaskCmd = ShowTaskCmd & ShowInStream & " " & ShowOutStream
    
    ' Do we need post process task ???
    If PostProcessCmd <> "" Then
        ShowPostProcess = PostProcessCmd
        ' <#filename#>     = file name used for video, xml and txt file without the extention
        ' <#ext#>          = video file extension
        ' <#workdir#>      = full path to WorkDir with terminating delimiter
        ' <#videodir#>     = full path to VideoDir with terminating delimiter
        ' <#showtitle#>    = full show title string
        ' <#alttitle#>     = short show title string
        ' <#episode#>   = show episode string (may be empty)
        ' <#altepisode#>   = show episode string (may be empty)
        Work = PostProcessCmd
        ShowPostProcess = Replace(ShowPostProcess, "<#filename#>", ShowFileName)
        ShowPostProcess = Replace(ShowPostProcess, "<#ext#>", ShowFileExt)
        ShowPostProcess = Replace(ShowPostProcess, "<#workdir#>", WorkDir)
        ShowPostProcess = Replace(ShowPostProcess, "<#videodir#>", VideoDir)
        ShowPostProcess = Replace(ShowPostProcess, "<#showtitle#>", ShowTitle)
        ShowPostProcess = Replace(ShowPostProcess, "<#alttitle#>", ShowAltTitle)
        ShowPostProcess = Trim(Replace(ShowPostProcess, "<#episode#>", ShowEpisode))
        ShowPostProcess = Trim(Replace(ShowPostProcess, "<#altepisode#>", ShowAltEpisode))
        ShowPostProcess = Replace(ShowPostProcess, Q2, EQ2)
    Else
        ShowPostProcess = ""
    End If
    
    F1 = FreeFile
    Open WorkFile For Output As #F1
    Print #F1, BigStr               ' <tv-program-info version="1.0">
    Print #F1, " <!-- This file was produced by KeyWild Personal Video Recorder -->"
    Print #F1, " <!-- KW-PVR is public domain software from www.KeyWild.com -->"
    Print #F1, " <!-- There should be video file in the same directory with a matching name -->"
    Print #F1, " <!-- This file is intended to be used in conjunction with the video file -->"
    Print #F1, ""
    Print #F1, "<pvr-data>"
    Print #F1, "<pvr-date-time> " & Format(Now, "dd mmm yyyy  hh:mm") & " </pvr-date-time>"
    Print #F1, "<pvr-source-file> " & ShowSourceFile & " </pvr-source-file>"
    Print #F1, "<pvr-work-dir> " & WorkDir & " </pvr-work-dir>"
    Print #F1, "<pvr-video-dir> " & VideoDir & " </pvr-video-dir>"
    Print #F1, "<pvr-show-file-name> " & ShowFileName & " </pvr-show-file-name>"
    Print #F1, "<pvr-show-file-ext> " & ShowFileExt & " </pvr-show-file-ext>"
    Print #F1, "<pvr-show-alt-title> " & ShowAltTitle & " </pvr-show-alt-title>"
    Print #F1, "<pvr-show-alt-episode> " & ShowAltEpisode & " </pvr-show-alt-episode>"
    Print #F1, "<pvr-show-cmd>"
    Print #F1, "   <pvr-start-time> " & Format(ShowStart, "dd mmm yyyy  hh:mm") & " </pvr-start-time>"
    Print #F1, "   <pvr-end-time> " & Format(ShowEnd, "dd mmm yyyy  hh:mm") & " </pvr-end-time>"
    ' The next line will probably violate the XML specification as well.
    Print #F1, "   <code>"
    Print #F1, "   " & ShowTaskCmd
    Print #F1, "   </code>"
    L = Len(ShowTaskCmd)
    ' no longer a problem ....
    'If L > 255 Then
    '    Print #F1, "   <pvr-warning> " & " *** VLC Command Line too long. *** " & " </pvr-warning>"
    'End If
    Print #F1, "   <pvr-cmd-str-len>" & Str(L) & " </pvr-cmd-str-len>"
    Print #F1, "</pvr-show-cmd>"
    If ShowPostProcess <> "" Then
        Print #F1, ""
        Print #F1, "<pvr-post-cmd>"
        Print #F1, "   <pvr-post-delay> " & Str(PostProcessDelay) & " seconds  </pvr-post-delay>"
        ' The next line will probably violate the XML specification as well.
        Print #F1, "   <code>"
        Print #F1, "   " & ShowPostProcess
        Print #F1, "   </code>"
        L = Len(ShowPostProcess)
        If L > 255 Then
            Print #F1, "   <pvr-warning> " & " *** Post Process Command Line too long. *** " & Str(L) & " </pvr-warning>"
        End If
        Print #F1, "   <pvr-cmd-str-len>" & Str(L) & " </pvr-cmd-str-len>"
        Print #F1, "</pvr-post-cmd>"
    End If
    Print #F1, "</pvr-data>" & EOL & "</tv-program-info>"
    Close #F1
    
    
    ' Now execute the schedule command
    ' ' Build the first Task Scheduler command
    ' ' There are a LOT of difference between the XP version and later incarnations
    ' ' I prefer the XP version because it cleans up after itself and it WORKS as advertised (mostly).
    If ShowTaskCmd <> "" Then
        ' We are done with it so we are going to recycle it
        ShowTaskCmd = EQ2 & RunProgram & EQ2 & " " & WorkDir & ShowFileName & ".xml"
        If XP Then
            Work = Q2 & SchTasks & Q2 & " /RU " & Environ$("USERNAME") & " /RP " & XPPW & " /create /SC Once /TN VLC-" & ShowFileName
            Work = Work & " /ST " & Format(ShowStart, "hh:mm:ss") & " /SD " & Format(ShowStart, "mm/dd/yyyy") & " /tr "
        Else
            Work = Q2 & SchTasks & Q2 & " /create /SC Once /TN VLC\" & ShowFileName
            Work = Work & " /ST " & Format(ShowStart, "hh:mm") & " /SD " & Format(ShowStart, "mm/dd/yyyy") & " /tr "
        End If
        ' Put it all together
        Work = Work & Q2 & ShowTaskCmd & Q2
        ' Debug.Print Work
        If (Dump <> 4) And (Dump <> 5) Then Shell (Work)
        LogMsg = "Scheduled " & Q2 & ShowAltTitle & Q2 & " at " & Format(ShowStart, "hh:mm") & " on " & Format(ShowStart, "dd mmm yyyy")
        LogMsg = LogMsg & EOL & Replace(Work, XPPW, "<password>")
        Call WriteToLogFile
        ShowTaskCmd = ""
    End If
    
    ' Post Processing ???
    ' ---- Also rewritten (see above) ------
    ' If ShowPostProcess <> "" Then
    '    Work = ""
    '    If XP Then
    '        Work = Q2 & SchTasks & Q2 & " /RU SYSTEM /create /SC Once /TN VLC-" & ShowFileName & "2"
    '        Work = Work & " /ST " & Format(DateAdd("s", PostProcessDelay, ShowEnd), "hh:mm:ss") & " /SD " & Format(DateAdd("s", PostProcessDelay, ShowEnd), "mm/dd/yyyy") & " /tr "
    '    Else
    '        Work = Q2 & SchTasks & Q2 & " /create /SC Once /TN VLC-" & ShowFileName & "2"
    '        Work = Work & " /ST " & Format(DateAdd("s", PostProcessDelay, ShowEnd), "hh:mm") & " /SD " & Format(DateAdd("s", PostProcessDelay, ShowEnd), "mm/dd/yyyy") & " /tr "
    '    End If
    '    Work = Work & Q2 & ShowPostProcess & Q2
    '    Print #F1, Work
    ' End If
    ' Close F1
    
     If ShowPostProcess <> "" Then
        Work = ""
        If XP Then
            Work = Q2 & SchTasks & Q2 & " /RU " & Environ$("USERNAME") & " /RP " & XPPW & " /create /SC Once /TN VLC-" & ShowFileName & "2"
            Work = Work & " /ST " & Format(DateAdd("s", PostProcessDelay, ShowEnd), "hh:mm:ss") & " /SD " & Format(DateAdd("s", PostProcessDelay, ShowEnd), "mm/dd/yyyy") & " /tr "
        Else
            Work = Q2 & SchTasks & Q2 & " /create /SC Once /TN VLC-" & ShowFileName & "2"
            Work = Work & " /ST " & Format(DateAdd("s", PostProcessDelay, ShowEnd), "hh:mm") & " /SD " & Format(DateAdd("s", PostProcessDelay, ShowEnd), "mm/dd/yyyy") & " /tr "
        End If
        Work = Work & Q2 & ShowPostProcess & Q2
        ' Debug.Print Work
        If (Dump <> 4) And (Dump <> 5) Then Shell (Work)
        LogMsg = "Scheduled " & Q2 & ShowAltTitle & Q2 & " Post Process at " & _
                  Format(DateAdd("s", PostProcessDelay, ShowEnd), "hh:mm") & _
                  " on " & Format(DateAdd("s", PostProcessDelay, ShowEnd), "dd mmm yyyy")
        LogMsg = LogMsg & EOL & Replace(Work, XPPW, "<password>")
        Call WriteToLogFile
    End If
    ' Close F1
    
End Sub

Sub PlayListStart()
    ' This is what a short playlist looks like .... (formatted to be somewhat human readable)
    '-----------------------------------------------------------------------------------------------------------
    ' <?xml version="1.0" encoding="UTF-8"?>
    ' <playlist xmlns="http://xspf.org/ns/0/" xmlns:vlc="http://www.videolan.org/vlc/playlist/ns/0/" version="1">
    ' <title>Playlist</title>
    '   <trackList>
    '     <track>
    '        <location>http://192.168.0.201:5004/auto/v8.5?dlna</location>
    '        <title>91.7  KTRU (Public FM Radio)</title>
    '        <annotation>KTRU Rice Radio is a college radio station (audio only).</annotation>
    '        <extension application="http://www.videolan.org/vlc/playlist/0">
    '          <vlc:id>0</vlc:id>
    '        </extension>
    '     </track>
    '     <track>
    '        <location>http://192.168.0.201:5004/auto/v2.1?dlna</location>
    '        <title>2.1 KPRC (NBC)</title>
    '        <annotation>Primary CBS affiliate station for Houston, Texas.</annotation>
    '        <extension application="http://www.videolan.org/vlc/playlist/0">
    '           <vlc:id>1</vlc:id>
    '        </extension>
    '     </track>
    '   </trackList>
    '
    '   <extension application="http://www.videolan.org/vlc/playlist/0">
    '        <vlc:item tid="0"/>
    '        <vlc:item tid="1"/>
    '   </extension>
    '</playlist>
    '-----------------------------------------------------------------------------------------------------------
    
    If (Dir(PlayListFile) <> "") Then Kill (PlayListFile)
    PlayListTracks = -1
    PlayListBuffer = "<?xml version=" & Q2 & "1.0" & Q2 & " encoding=" & Q2 & "UTF-8" & Q2 & "?>"
    PlayListBuffer = PlayListBuffer & EOL & "<playlist xmlns=" & Q2 & "http://xspf.org/ns/0/" & Q2 & " xmlns:vlc=" & Q2 & "http://www.videolan.org/vlc/playlist/ns/0/" & Q2 & " version=" & Q2 & "1" & Q2 & ">"
    PlayListBuffer = PlayListBuffer & EOL & "<title>" & "kw-pvr Watch Now: " & Format(Now, "mmm dd hh:mm") & "</title>"
    PlayListBuffer = PlayListBuffer & EOL & "  <trackList>"
    
    PlayListStr1 = "       <extension application=" & Q2 & "http://www.videolan.org/vlc/playlist/0" & Q2 & ">" & EOL & "          <vlc:id>"
    PlayListStr2 = "</vlc:id>" & EOL & "       </extension>" & EOL & "    </track>"
    
End Sub

Sub PlayListAppend()
    Dim Work As String
    PlayListTracks = PlayListTracks + 1
    
    PlayListBuffer = PlayListBuffer & EOL & "    <track>" & EOL & "       <location>" & ShowInStream & "</location>"
    Work = Right("00" & ShowMajor, 2) & "." & Right("00" & ShowMinor, 2) & " (" & ShowStation & "): " & ShowTitle
    If ShowEpisode <> "" Then Work = Work & ", " & ShowEpisode
    PlayListBuffer = PlayListBuffer & EOL & "       <title>" & Work & "</title>"
    Work = ""
    If ShowDscr <> "" Then
        If Right(ShowDscr, 1) = "." Then
            Work = ShowDscr
        Else
             Work = ShowDscr & "."
        End If
    End If
    Work = Work & " Start Time: " & Format(ShowStart, " hh:mm") & ", End Time: " & Format(ShowEnd, " hh:mm")
    PlayListBuffer = PlayListBuffer & EOL & "       <annotation>" & Work & "</annotation>"
    PlayListBuffer = PlayListBuffer & EOL & PlayListStr1 & Trim(Str(PlayListTracks)) & PlayListStr2
    
    LogMsg = "Track: " & Trim(Str(PlayListTracks)) & " added to playlist for " & Q2 & ShowAltTitle & Q2
    Call WriteToLogFile
    
End Sub

Sub PlayListEnd()
    If PlayListTracks > -1 Then
        PlayListBuffer = PlayListBuffer & EOL & "  </trackList>"
        PlayListBuffer = PlayListBuffer & EOL & ""
        PlayListBuffer = PlayListBuffer & EOL & "  <extension application=" & Q2 & "http://www.videolan.org/vlc/playlist/0" & Q2 & ">"
        PlayListBuffer = PlayListBuffer & EOL
            
        Dim I As Integer
        For I = 0 To PlayListTracks
            PlayListBuffer = PlayListBuffer & EOL & "       <vlc:item tid=" & Q2 & Trim(Str(I)) & Q2 & "/>"
        Next I
        
        PlayListBuffer = PlayListBuffer & EOL & "  </extension>"
        PlayListBuffer = PlayListBuffer & EOL & "</playlist>"
        
        Dim F As Integer
        F = FreeFile
        Open PlayListFile For Output As #F
        Print #F, PlayListBuffer
        Close F
    End If
    PlayListBuffer = ""
    PlayListTracks = -1
End Sub

