Attribute VB_Name = "VlcPvrRun"
Sub Main()
    ' Example 1:               KW-PVR-run.exe C:\VB6_Projects\KW-PVR\Work\Roy_Rogers_Show(141014-0930).xml
    ' or
    ' Example 2:               KW-PVR-run.exe "C:\VB6_Projects\KW-PVR\Work\Roy_Rogers_Show(141014-0930).xml"
    ' Example schtasks.exe:   "KW-PVR-run.exe C:\VB6_Projects\KW-PVR\Work\Roy_Rogers_Show(141014-0930).xml"
    ' get the command line
    Dim Work, Work2, VideoFile, EQ2 As String
    Dim P As Integer
    Dim X As Long
    EQ2 = "\" & Chr(34)
    Work = Trim(Command)
    ' Debug.Print Work
    If Work = "" Then End
    ' Strip quotes from the ends of XLM file name if they exist because we USE the whole command line
    If Left(Work, 1) = Chr(34) And Right(Work, 1) = Chr(34) Then
        Work = Mid(Work, 2)
        Work = Trim(Left(Work, Len(Work) - 1))
        'Debug.Print Work
    End If
    If InStr(LCase(Work), ".xml") = 0 Then End
    If Dir(Work) = "" Then End
    ' see if the file exist
    
    ' open the file
    Open Work For Input As #1
    ' XML file --- read entire thing into one string
    Work = ""
    While Not (EOF(1))
        Line Input #1, Work2
        Work = Work & Trim(Work2)
    Wend
    Close #1
    
    ' First thing we do is reduce the file to the portion of interest
    P = InStr(LCase(Work), "<pvr-data>") + 10
    Work = Mid(Work, P)
    P = InStr(LCase(Work), "</pvr-data>") - 1
    Work = Trim(Left(Work, P))
    ' Debug.Print Work
    ' Save a copy
    Work2 = Work
    VideoFile = ""
    
    ' now get the work directory
    Work = Work2
    P = InStr(LCase(Work), "<pvr-work-dir>") + 14
    Work = Mid(Work, P)
    P = InStr(LCase(Work), "</pvr-work-dir>") - 1
    VideoFile = VideoFile & Trim(Left(Work, P))
    ' Debug.Print VideoFile
    
    ' now get the video filename
    Work = Work2
    P = InStr(LCase(Work), "<pvr-show-file-name>") + 20
    Work = Mid(Work, P)
    P = InStr(LCase(Work), "</pvr-show-file-name>") - 1
    VideoFile = VideoFile & Trim(Left(Work, P))
    ' Debug.Print VideoFile
    
    ' now get the video extension
    Work = Work2
    P = InStr(LCase(Work), "<pvr-show-file-ext>") + 19
    Work = Mid(Work, P)
    P = InStr(LCase(Work), "</pvr-show-file-ext>") - 1
    VideoFile = VideoFile & Trim(Left(Work, P))
    ' Debug.Print VideoFile
    
    ' If the video file exists then delete it
    While Dir(VideoFile) <> ""
        Kill (VideoFile)
        ' We need to allow time for the OS to do its work ...
        ' not much but some ...
        ' we err on the side of caution for slower hardware
        X = Timer + 2
        While Timer < X
            DoEvents
            DoEvents
        Wend
    Wend
    
    ' Find the VLC command
    Work = Work2
    P = InStr(LCase(Work), "<pvr-show-cmd>") + 14
    Work = Mid(Work, P)
    P = InStr(LCase(Work), "</pvr-show-cmd>") - 1
    Work = Trim(Left(Work, P))
    ' Debug.Print Work
    
    ' now get the actual command code
    P = InStr(Work, "<code>") + 6
    Work = Mid(Work, P)
    P = InStr(Work, "</code>") - 1
    Work = Left(Work, P)
    
    ' Debug.Print Work
    ' replace escape double quotes if we have any
    If InStr(Work, EQ2) > 0 Then Work = Replace(Work, EQ2, Chr(34))
    Work2 = Environ$("TEMP") & "\" & "~KW-PVR-Log.txt"
    ' Debug.Print Work2

    Open Work2 For Append As #1
    Print #1, ""
    Print #1, "--- " & App.EXEName & ".exe at " & Format(Now, "hh:mm:ss") & " ---"
    Print #1, "  Video File: " & VideoFile
    Print #1, "     Command: " & Work
    Close #1
    
    ' Debug.Print Work
    X = Shell(Work, vbMinimizedNoFocus)
    ' we are done, leave well enough alone
    End
End Sub
